usb_bus_start_enum
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_bus_start_enum — start immediate enumeration (for OTG)

## Synopsis

`int usb_bus_start_enum (` | struct usb_bus * | bus,
| unsigned | port_num`)`;

## Arguments

`bus`

  the bus (must use hcd framework)

`port_num`

  1-based number of port; usually bus->otg_port

## Context

`in_interrupt`

## Description

Starts enumeration, with an immediate reset followed later by khubd identifying and possibly configuring the device. This is needed by OTG controller drivers, where it helps meet HNP protocol timing requirements for starting a port reset.

Prev | Up | Next
usb_hcd_resume_root_hub | Home | usb_hc_died